Bug 1282843 - Alt-tab breaks wine fullscreen apps in recent wine versions - fix included
Alt-tab breaks wine fullscreen apps in recent wine versions - fix included
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: mutter (Show other bugs)
23
Unspecified Linux
unspecified Severity medium
: ---
: ---
Assigned To: Florian Müllner
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-17 10:37 EST by Robert Mader
Modified: 2016-11-25 09:03 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-11-25 09:03:03 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch as discussed on gnome-bugzilla (516 bytes, text/plain)
2015-11-17 10:37 EST, Robert Mader
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 758186 None None None Never

  None (edit)
Description Robert Mader 2015-11-17 10:37:16 EST
Created attachment 1095530 [details]
Patch as discussed on gnome-bugzilla

Description of problem: in recent wine versions >= 1.7.5.32, the minimize behavior of wine has changed to match more the behavior of Windows. This breaks alt-tabbing in gnome-shell since lot's of games do not set MWM_FUNC_MINIMIZE.

The bug was fixed by Stefan Dösinger for marco (mate fork of metacity).
Upstream mutter will fix this soon, too, with a small change, like in the attachment.
I create this bug-entry to ask for a backport for fedora 23

Version-Release number of selected component (if applicable): ever since 2005?


How reproducible: 


Steps to Reproduce:
1. run fullscreen app in wine with default settings (starcraft 2 for example). 
2. alt-tab out and back in. 


Actual results:
Window is frozen and does not redraw anymore. Mouse, too.

Expected results:
Window should draw as usual

Additional info:
This bug was fixed in marco, muffin and hopefully mutter upstream soon.

Related:
https://github.com/mate-desktop/marco/issues/166
https://bugs.winehq.org/show_bug.cgi?id=37765


Regards
Comment 1 Robert Mader 2015-11-25 08:23:08 EST
Any chance that this gets included during this fedora 23 livecycle?

It has been adopted in other window managers and seems to work fine.
It would greatly improve wine-gaming experience for many fedora users with little risk.

Regards
Comment 2 Fedora End Of Life 2016-11-24 08:31:27 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Robert Mader 2016-11-25 09:03:03 EST
This bug was fixed upstream in mutter 3.20

Note You need to log in before you can comment on or make changes to this bug.